@import "projects/ui/styles/mixins";

.hover-demo {
  margin-top: 10px;
  width: 250px;
  height: 250px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid gray;
}

.hover-content {
  border: 1px solid gray;
  @include hover {
    @include cui-visually-hidden-hoverable('.hover-demo');
  }
}

.self-saving-fields-container {
  .self-saving-field {
    padding: 2rem 0;
  }
}

.radio-container, .container {
  padding: 1rem 0 0.5rem;

  .selected-radio-value {
    padding-top: 1rem;
  }

  .collapsable-container {
    margin-top: 1rem;
  }

  .collapsable-content {
    text-align: center;
    padding: 1rem;
    border: 1px solid black;
    border-radius: 5px;
  }
}

.navigation-container {
  background-color: gray;
  padding: 1rem;
  width: 300px;
}
